Version setup error when using ODP.NET — oracle-tech

    Forum Stats

  • 3,715,657 Users
  • 2,242,821 Discussions
  • 7,845,481 Comments

Discussions

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Version setup error when using ODP.NET

3689816
3689816 Member Posts: 3
edited April 2018 in ODP.NET

nooracleproviderdefined_thumb.png

To add Oracle provider you need to open web.config and add following:

&lt;configuration&gt; <br/>&lt;entityFramework&gt; <br/>&lt;providers&gt;<br/> &lt;provider invariantName="Oracle.ManagedDataAccess.Client" type="Oracle.ManagedDataAccess.EntityFramework.EFOracleProviderServices, Oracle.ManagedDataAccess.EntityFramework, Version=4.121.2.0, Culture=neutral, PublicKeyToken=89b483f429c47342" /&gt;

It was enough to fix it for me, but seen a lot of comments that following is required as well. You can check if it’s needed in your case.

&lt;configuration&gt; <br/>&lt;configSections&gt; <br/>&lt;section name="Oracle.ManagedDataAccess.Client" type="OracleInternal.Common.ODPMSectionHandler, Oracle.ManagedDataAccess, Version=4.121.2.0, Culture=neutral, PublicKeyToken=89b483f429c47342" /&gt;

I have tried to reset this error during the connection and the link you've given me doesn't fix it.

Can you help me out here?

(I'm already into that.)

Answers

This discussion has been closed.